package com.sun.org.apache.xerces.internal.xni;

import com.sun.org.apache.xerces.internal.xni.parser.XMLDocumentSource;

public interface XMLDocumentHandler
{
    public abstract void startDocument(XMLLocator p0, String p1, NamespaceContext p2, Augmentations p3) throws XNIException;
    
    public abstract void xmlDecl(String p0, String p1, String p2, Augmentations p3) throws XNIException;
    
    public abstract void doctypeDecl(String p0, String p1, String p2, Augmentations p3) throws XNIException;
    
    public abstract void comment(XMLString p0, Augmentations p1) throws XNIException;
    
    public abstract void processingInstruction(String p0, XMLString p1, Augmentations p2) throws XNIException;
    
    public abstract void startElement(QName p0, XMLAttributes p1, Augmentations p2) throws XNIException;
    
    public abstract void emptyElement(QName p0, XMLAttributes p1, Augmentations p2) throws XNIException;
    
    public abstract void startGeneralEntity(String p0, XMLResourceIdentifier p1, String p2, Augmentations p3) throws XNIException;
    
    public abstract void textDecl(String p0, String p1, Augmentations p2) throws XNIException;
    
    public abstract void endGeneralEntity(String p0, Augmentations p1) throws XNIException;
    
    public abstract void characters(XMLString p0, Augmentations p1) throws XNIException;
    
    public abstract void ignorableWhitespace(XMLString p0, Augmentations p1) throws XNIException;
    
    public abstract void endElement(QName p0, Augmentations p1) throws XNIException;
    
    public abstract void startCDATA(Augmentations p0) throws XNIException;
    
    public abstract void endCDATA(Augmentations p0) throws XNIException;
    
    public abstract void endDocument(Augmentations p0) throws XNIException;
    
    public abstract void setDocumentSource(XMLDocumentSource p0);
    
    public abstract XMLDocumentSource getDocumentSource();
}
